enchant();
window.onload = function() {
    var game = new Game();
    game.preload("chara1.gif", "texture0.png");
    game.onload = function() {
        game.rootScene.backgroundColor = "black";

        // （自機）茶くま
        player = new Sprite(32, 32);
        player.image = game.assets["chara1.gif"];
        player.frame = 0;
        player.x = 144;
        player.y = 288;
        game.rootScene.addChild(player);

        Bullet.image = game.assets["texture0.png"];

        var angle = 0;
        game.onenterframe = function() {
            var s = new Bullet(160, 160, 1, angle);
            game.rootScene.addChild(s);
            angle += 0.2;
        };
    };
    game.start();
};

var Bullet = Class.create(Sprite, {
    initialize: function(x, y, speed, direction) {
        Sprite.call(this, 64, 64);
        this.image = Bullet.image;
        this.frame = 9;
        this.scale(0.25, 0.25);
        this.x = x - 32;
        this.y = y - 32;
        this.speed = speed;
        this.direction = direction;
    },
    onenterframe: function() {
        this.x += Math.cos(this.direction) * this.speed;
        this.y += Math.sin(this.direction) * this.speed;
        if (this.x<0-32 || 320-32<this.x || this.y<0-32 || 320-32<this.y) {
            this.parentNode.removeChild(this);
        }
    }
});